function init(hero) {
    hero.setName("Batman/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setVersion("KNIGHTS");
    hero.setTier(7);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    hero.addPrimaryEquipment("fiskheroes:beretta_93r{Dual:1}", true, item => item.nbt().getBoolean("Dual"));
    hero.addPrimaryEquipment("fiskheroes:ruptures_scythe", true);
    
    hero.addPowers("knights:darkest_knight");
    hero.addAttribute("PUNCH_DAMAGE", 8, 0);
    hero.addAttribute("WEAPON_DAMAGE", 7, 0);
    hero.addAttribute("JUMP_HEIGHT", 1, 0);
    hero.addAttribute("FALL_RESISTANCE", 15.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1)
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 2);
    hero.addKeyBind("EARTHQUAKE", "Pummel", 4);
    hero.addKeyBind("GROUND_SMASH", "Ground Pound", 3);
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("GUN_RELOAD", "key.reload", 1);
    
    hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());
    hero.setHasPermission((entity, permission) => entity.getHeldItem().isGun() && permission == "USE_GUN" || permission  == "USE_GRAPPLING_GUN");
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }


hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canDischargeEnergy", isHoldingScythe);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:energy_manipulation" || isHoldingScythe(entity);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind != "CHARGE_ENERGY" || isHoldingScythe(entity);
}

function isHoldingScythe(entity) {
    return entity.getHeldItem().name() == "fiskheroes:ruptures_scythe";
}